import unittest
import os
from os.path import join
from logilab.common.astng.manager import FileBasedASTNGManager


class FileBasedASTNGManagerTC(unittest.TestCase):
    def setUp(self):
        self.manager = FileBasedASTNGManager()

    def test_from_directory(self):
        obj = self.manager.from_directory('data')
        self.assertEquals(obj.name, 'data')
        self.assertEquals(obj.path, join(os.getcwd(), 'data'))
        
    def test_package_node(self):
        obj = self.manager.from_directory('data')
        expected = ['__init__', 'module', 'module2', 'noendingnewline']
        self.assertEquals(obj.keys(), expected)
        self.assertEquals([m.name for m in obj.values()], expected)
        self.assertEquals([m for m in list(obj)], expected)
        self.assertEquals([(name, m.name) for name, m in obj.items()],
                          zip(expected, expected))
        #self.assertEquals(obj.has_key, [])
        #self.assertEquals(obj.get, [])
        #for key in obj:
        #    print key,
        #    print obj[key]
        
if __name__ == '__main__':
    unittest.main()

    
